/******************************************************
 *                         CTXTDlg.h
 *
 * Project : MergeKW                       Ver : 1.0
 * Programmer : Michael Taylor        Date : 8/16/98
 * Language : VC 5.0                Target : Win32
 * Purpose : This file provides the interface to the
 *           TXT dialog.
 *****************************************************/
//@DOC

#if !defined(CTXTDLG_H_INCLUDED)
#define CTXTDLG_H_INCLUDED
#pragma once

/////////////////////////////////////////////////////////////////////////////
// CTXTDlg dialog

class CTXTDlg : public CDialog
{
// Construction
public:
	CTXTDlg(CWnd* pParent = NULL);   // standard constructor

   ~CTXTDlg();

protected:
   //@CMEMBER Add a new file instance to the list
   void Add ( CFileData* pData );

   //@CMEMBER Initialize the list box
   void InitList ( void );

   //@CMEMBER Update the file data based on the current list box
   void UpdateListData ( void );

// Dialog Data
	//{{AFX_DATA(CTXTDlg)
	enum { IDD = IDD_TXTDLG };
	CCheckListBox	m_FileList;
   BOOL m_bAutoMerge;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTXTDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
   //@CMEMBER The list of files
   CObArray m_FileDataList;

   // Generated message map functions
	//{{AFX_MSG(CTXTDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnAdd();
	afx_msg void OnRemove();
	afx_msg void OnMerge();
   afx_msg void OnOK();
   afx_msg void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CDescriptDlg dialog

class CDescriptDlg : public CDialog
{
// Construction
public:
	CDescriptDlg(CWnd* pParent = NULL);   // standard constructor

   CString GetDescription ( void ) 
   { return(m_szDescription); };

private:
// Dialog Data
	//{{AFX_DATA(CDescriptDlg)
	enum { IDD = IDD_DESCRIPTDLG };
	CString	m_szDescription;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDescriptDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDescriptDlg)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.
//}}AFX_INSERT_LOCATION}}
#endif  // Sentry
