/******************************************************
 *                         DSAddIn.h
 *
 * Project : MergeKW                       Ver : 1.0
 * Programmer : Michael Taylor        Date : 8/16/98
 * Language : VC 5.0                Target : Win32
 * Purpose : This file provides the interface to the
 *           boiler plate code for the add-in.
 *****************************************************/
//@DOC

#if !defined(DSADDIN_H_INCLUDED)
#define DSADDIN_H_INCLUDED
#pragma once

#include "commands.h"

// {8B75A80C-3579-11D2-B02D-F2A0CE000000}
DEFINE_GUID(CLSID_DSAddIn,
0x8b75a80c, 0x3579, 0x11d2, 0xb0, 0x2d, 0xf2, 0xa0, 0xce, 0, 0, 0);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn : 
	public IDSAddIn,
	public CComObjectRoot,
	public CComCoClass<CDSAddIn, &CLSID_DSAddIn>
{
public:
	DECLARE_REGISTRY(CDSAddIn, TEXT("Merge KeyWord Add-in"),
		TEXT("Merge Keyword Add-in"), IDS_MERGEKW_LONGNAME,
		THREADFLAGS_BOTH)

	CDSAddIn() {}
	BEGIN_COM_MAP(CDSAddIn)
		COM_INTERFACE_ENTRY(IDSAddIn)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CDSAddIn)

// IDSAddIns
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
		long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);

protected:
	CCommandsObj* m_pCommands;
	DWORD m_dwCookie;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.
//}}AFX_INSERT_LOCATION}}
#endif  // Sentry
